%CLORCLFA Closed-loop characteristics and responses.

%  Copyright
%  Charles L. Phillips  1994

delete cl.dat
delete tr.dat
clc
disp('  This program calculates closed-loop characteristics')
disp('  and a time response.')
disp(' ')
if filterin == 1
   s=input(' Do you want the compensator included? [y/n]: ','s');

   if s=='y'

      clc

      %  closed-loop transfer function

      cltfa

      % closed-loop state model

      clsmaa

   else
      % closed loop, no controller

      cltfnca

      % closed-loop state model

      clsmana

   end

else

   % closed loop, no controller

   cltfnca

   % closed-loop state model

   clsmana

end
disp(' ')
diary off
comp = computer;
if comp(1:2) == 'PC'
s=input(' Do you want the closed-loop data printed? [y/n]: ','s');
if s=='y'
   ! copy iden.dat prn:
   ! print cl.dat
end
end
clc


% closed-loop time response

s=input(' Do you want a time response? [y/n]: ','s');
if s=='y'
   inputan
   numinta
end
clc

end
clc


