%CLORCLF Closed-loop characteristics and responses.

%  Copyright
%  Charles L. Phillips  1994

delete clch.dat
clc
disp('  This program calculates closed-loop characteristics')
disp('  and a time response.')
disp(' ')
if filterin == 1
   s=input('  Do you want the digital controller included? [y/n]: ','s');
   if s=='y'

      clc

      %  closed-loop transfer function

      cltfd

      % closed-loop state model

      clsma

   else
      % closed loop, no controller

      cltf

      % closed-loop state model

      clsm

   end

else

   % closed loop, no controller

   cltf

   % closed-loop state model

   clsm

end
disp(' ')
comp = computer;
if comp(1:2) == 'PC'
s=input(' Do you want the closed-loop data printed? [y/n]: ','s');
if s=='y'
   ! copy iden.dat prn:
   ! print clch.dat
end
end
clc


% closed-loop time response

s=input('Do you want a time response? [y/n]: ','s');
if s=='y'
   timrppp
end
clc


