%CLTFNCA Transfer function  T(s) = KGp(s)/[1 + KGp(s)Hk].

%  Copyright
%  Charles L. Phillips  1994

clc

diary cl.dat
disp(' ')

disp('               CLOSED-LOOP SYSTEM TRANSFER FUCNTION')
disp(' ')
diary off
disp(' Enter forward path gain K and sensor gain Hk')
fpgk=input('           gain K = ');
fbghk=input('          gain Hk = ');
diary on
disp(' ')
disp('       Closed-loop system transfer function:')
disp(' ')
disp('      T(s) = KGp(s)/[1 + KGp(s)Hk] = nts/dts')
disp(' ')
nts=ngps*fpgk
disp(' ')
dts=dgps + ngps*fpgk*fbghk
disp(' ')
disp('  Roots of the closed-loop system characteristic equation:')
disp(' ')
s_plane_roots=roots(dts)

diary off
disp(' ')
disp('  Press any key to continue ...'); pause

