%ENTCOE Roots of a polynomial.

%  Copyright
%  Charles L. Phillips  1994

delete pol.dat
clc
diary pol.dat
disp('                     ROOTS OF A POLYNOMIAL')
disp(' '), disp(' ')
diary off

disp('  The polynomial is of the form')
disp(' ')
disp('        c(n)*s^n + c(n-1)*s^(n-1) + ... + c(1)*s + c(0)')
disp(' ')
disp('  The coefficients c(n), c(n-1), ..., c(0) must be entered')
disp('  in this order.')
disp(' ')
n=input('    Enter the order of the polynomial n = ');
disp(' ')
disp('     Enter the coefficients as requested:')
for ii=1:(n+1)
   jj=n+1-ii;
   jjj=int2str(jj);
   str1=['c(',jjj,')= '];
   c(ii) = input(str1);
end
disp(' ')
disp('  The polynomial order is entered as:')
n
disp(' ')
diary on
disp('  The polynomial coefficients are as:')
c
disp(' ')
diary off
disp('Press any key to continue ...'), pause
disp(' ')
diary on
r=roots(c);
disp('  The roots are:')
r
disp(' ')
diary off
disp('Press any key to continue ...'), pause, clc

