%INPUTAN Input functions and initial conditions for simulation.

%  Copyright
%  Charles L. Phillips  1994

clear x1
disp(' ')
disp('  The system response is calculated by numerical integration for ')
disp('  0 < t < tf, with the numerical-integration increment H.')
disp(' ')
tf=input('                       Final time tf = ');
disp(' ')
H=input('   Numerical integration increment H = ');
disp(' ')
disp('  Choose the numerical-integration procedure to be used:')
disp(' ')
disp('       1.  Euler method')
disp(' ')
disp('       2.  4th-order Runge-Kutta method')
disp(' ')
intcho=input('   Enter 1 or 2:  ');

disp(' ')
disp('  The system input is of the form:')
disp(' ')
disp('       u(t) = k1 + k2*t + k3*cos(w*t + theta)')
disp(' ')
k1=input('   Enter the coefficient   k1 = ');
k2=input('   Enter the coefficient   k2 = ');
k3=input('   Enter the coefficient   k3 = ');
w=input('   Enter the frequency      w = ');
theta=input('   Enter the phase      theta = ');
theta=theta*pi/180;

disp(' ')
disp('  Enter the initial conditions in the order of x1(0), x2(0), ... :')

for ii=1:ordercl
   iii=int2str(ii);
   str1=['    x',iii,'(0)= '];
   x1(ii) = input(str1);
end

