%MDC Modern control system design.

%  Copyright
%  Charles L. Phillips  1994

format compact
clear
loop15 = 1;
clc

disp('                     MODERN DIGITAL CONTROLS PROGRAM')
disp(' ')
%          Flags
wplanefl=0; % no w-plane functions given
poleas=0; % no pole assignment design
lqdes=0; % no LQ design
preest=0; % no prediction estimator designed
curest=0; % no current estimator designed
roeest=0; % no reduced-order estimator designed
kalest=0; % no Kalman estimator designed
loop=1; % loop = 0 exits program

loop=1;   % loop = 0 exits this menu
   while loop==1
   disp('  OPTIONS: ')
   disp(' ')
   disp('        1.  Enter plant model')
   disp(' ')
   disp('        2.  Pole placement design')
   disp(' ')
   disp('        3.  Prediction estimator design')
   disp(' ')
   disp('        4.  Current estimator design')
   disp(' ')
   disp('        5.  Reduced-order estimator')
   disp(' ')
   disp('        6.  LQ design')
   disp(' ')
   disp('        7.  Kalman filter design')
   disp(' ')
   disp('        8.  Control-estimator transfer function')
   disp(' ')
   disp('        9.  Closed-loop models and time response')
   disp(' ')
   disp('       10.  Exit this menu')

   mmu=input(' Enter integer choice:  ');
   clc

   if mmu==1

      clear
      %  set flags
      poleas=0; lqdes=0; preest=0; curest=0; roeest=0; kalest=0;
      dcflg=1; modelin=0; filterin=0; loop=1; wplanefl=0; loop15=0;

      %  Enters plant model

      disp('  OPTIONS: ')
      disp(' ')
      disp('        1.  Enter the plant analog model')
      disp(' ')
      disp('        2.  Enter the plant discrete model')

      q6=input(' Enter integer choice:  ');
      clc

      if q6 ==1

         gs2gz

      elseif q6==2

         engpms

      end

   elseif mmu==2

      %  Pole-placement design

      ppd

   elseif mmu==3

      %  Prediction estimator design

      pes

   elseif mmu==4

      %  Current estimator design

      ces

   elseif mmu==5

      %  Reduced-order estimator design

      resppp

   elseif mmu==6

      %  Linear-quadratic design

      lqp

   elseif mmu==7

      %  Kalman filter design

      kal

   elseif mmu==8

      clc

      %  controller-estimator transfer function

      cetf

   elseif mmu==9

      clc

      %  closed-loop state model

      clsmo

      %  closed-loop time response

      s=input(' Do you want a time response? [y/n]: ','s');

      if s=='y'

         trp

      end

      clc

   elseif mmu==10

      %  Exit

      loop=0;
      loop1=1;
      clc

   end

end

