%RUNGE4A 4th-order Runge-Kutta numerical integration.

%  Copyright
%  Charles L. Phillips  1994

phi0 = Acl*x + Bcl*u;

sx = x;
phi1 = phi0;
x = sx + .5*H*phi1;
tm = tm + .5*H;

calinpa
xdot = Acl*x + Bcl*u;
phi2 = phi1 + 2*xdot;
x = sx + .5*H*xdot;

xdot = Acl*x + Bcl*u;
phi3 = phi2 + 2*xdot;
x = sx + H*xdot;

xdot = Acl*x + Bcl*u;
x = sx + H/6*(phi3 + xdot);

