%SPGCSA Analog controller Gc(s) specification.

%  Copyright
%  Charles L. Phillips  1994

clear ngcs dgcs
delete gcs.dat
clc
filterin=1;
diary gcs.dat
disp(' ')

disp('                SPECIFY AN ANALOG CONTROLLER')
disp(' ')
diary off
disp(' ')
disp('  OPTIONS: ')
disp(' ')
disp('        1.  First-order controller')
disp(' ')
disp('        2.  Second-order controller')

qq=input(' Enter integer choice:  ');

orderfl=qq;
disp(' ')
disp('  Numerator of Gc(s) = ngcs(0)*s^2 + ngcs(1)*s + ngcs(2)')
disp(' ')
disp('  Input numerator coefficients')
disp(' ')
if qq == 2
   ngcs1(1)=input('                 ngcs(0) =  ');
end
ngcs1(2)=input('                 ngcs(1) =  ');
ngcs1(3)=input('                 ngcs(2) =  ');
disp(' ')
disp('  Denominator of Gc(s) = dgcs(0)*s^2 + dgcs(1)*s + dgcs(2)')
disp(' ')
disp('  Input denominator coefficients')
disp(' ')
if qq == 2
   dgcs1(1)=input('                 dgcs(0) =  ');
end
dgcs1(2)=input('                 dgcs(1) =  ');
dgcs1(3)=input('                 dgcs(2) =  ');
if qq == 1
   dgcs(1) = dgcs1(2); dgcs(2) = dgcs1(3);
   ngcs(1) = ngcs1(2); ngcs(2) = ngcs1(3);
else
   dgcs = dgcs1;
   ngcs = ngcs1;
end
diary on
disp(' ')

disp(' ')
disp('  The specified filter:   Gc(s) = ngcs/dgcs')
disp(' ')
ngcs
disp(' ')
dgcs
disp(' ')
diary off
comp = computer;
if comp(1:2) ~= 'PC', clc, return, end
s=input(' Do you want Gc(s) printed? [y/n]: ','s');
if s=='y'
   ! copy iden.dat prn:
   ! print gcs.dat
end
clc

disp('  Press any key to continue ...'); pause


