%TFTOSV Transfer function for state model.

%  Copyright
%  Charles L. Phillips  1994

delete svtf.dat
clc
clear num den A B C D order
disp('  This program finds the transfer function G = num/den for a state')
disp('  model of either an analog system or a discrete system.  The ')
disp('  matrices of the state model must be entered when requested.')
disp(' ')
order = input('   Enter the system order: ');
disp(' ')
d0flag=0;  %  D matrix to be entered
abcdin
disp(' ')
diary svtf.dat
disp('  The state matrices are:')
disp(' ')
order
A
B
C
D
disp(' ')
diary off
disp('  Press any key to continue ...'), pause, clc
disp(' ')
[num,den] = ss2tf(A,B,C,D);
diary on
disp('  The coefficients of the transfer-function numerator polynomial,')
disp('  in decending order:')
disp(' ')
num
disp(' ')
disp('  The coefficients of the transfer-function denominator polynomial:')
disp(' ')
den
disp(' ')
diary off
disp('  Press any key to continue ...'), pause, clc
