%AFBCONTA  Analysis and design of analog control systems.

%  Copyright
%  Charles L. Phillips  1994

format compact
clear
loop15=1;
clc
disp('                         ANALOG CONTROLS PROGRAM')
disp(' ')

disp('  OPTIONS: ')
disp(' ')
disp('        1.  Classical control systems')
disp(' ')
disp('        2.  Modern control systems')

q4=input(' Enter integer choice:  ');

if q4 == 1

   clc
   disp('                  CLASSICAL CONTROLS PROGRAM')
   disp(' ')

   % Flags
   modelin=0; % no plant model in
   filterin=0; % no filter in
   loop=1; % loop = 0 exits program

   while loop ==1

      disp('  OPTIONS: ')
      disp(' ')
      disp('        1.  Enter the plant mathematical model')
      disp(' ')
      disp('        2.  Nyquist diagram')
      disp(' ')
      disp('        3.  Bode diagram')
      disp(' ')
      disp('        4.  Lead or lag controller design')
      disp(' ')
      disp('        5.  PID controller design')
      disp(' ')
      disp('        6.  Enter an analog controller transfer function')
      disp(' ')
      disp('        7.  Root locus')
      disp(' ')
      disp('        8.  Closed-loop parameters and time response')
      disp(' ')
      disp('        9.  Exit')

      mu=input('  Enter integer choice:  ');

      if mu==1

         %  Enters plant model
         clc

         clear
         loop15=1; modelin=0; filterin=0; loop=1;
         gsa

      elseif mu==2

         %  Nyquist diagram

         nqua

      elseif mu==3

         %  Bode diagram

         bdea

      elseif mu==4

         %  analytical design of phase lead or phase lag controllers.

         filterin=1;
         adesga

      elseif mu==5

         % design pid controller

         filterin=1;
         adspda

      elseif mu==6

         % enter Gc(s)

         fillterin=1;
         spgcsa

      elseif mu==7

         locusra

      elseif mu==8

         %  closed-loop

         clorclfa

      elseif mu==9
         loop=0;
         loop1=1;
         clc
      end
   end

elseif q4==2
   macp
end

