%CLSM Closed-loop state model based on transfer functions.

%  Copyright
%  Charles L. Phillips  1994

clc
diary on
disp('             CLOSED-LOOP SYSTEM STATE MODEL')
disp(' ')
diary off
disp(' ')
disp('             x(k+1) = Acl*x(k) + Bcl*u(k)')
disp(' ')
disp('               y(k) = Ccl*x(k) + Dcl*u(k)')
disp(' ')
disp(' ')
disp('  Press any key to continue ...'); pause
disp(' ')
diary on
disp('  The closed-loop system matrices are:')
disp(' ')
[Acl,Bcl,Ccl,Dcl]=tf2ss(ntz,dtz);
disp(' ')
Acl
disp(' ')
Bcl
disp(' ')
Ccl
disp(' ')
Dcl
disp(' ')
diary off
disp('  Press any key to continue ...'); pause
diary on
disp(' ')
disp('   The closed-loop system characteristic-equation roots, determined')
disp('   from the matrices, are:')
disp(' ')
[ntz1,dtz1]= ss2tf(Acl,Bcl,Ccl,Dcl);
z_plane_roots=roots(dtz1)

disp(' ')
diary off
disp('  Press any key to continue ...'); pause, clc

