%CLTF Closed-loop transfer function T(z) = G(z)/[1 + G(z)].

%  Copyright
%  Charles L. Phillips  1994

clc
diary clch.dat
disp('               CLOSED-LOOP SYSTEM TRANSFER FUCNTION')
diary off
disp(' ')
disp('Enter forward path gain K and sensor gain Hk')
fpgk=input('           gain K = ');
fbghk=input('          gain Hk = ');
disp(' ')
diary on
disp('      Closed-loop system transfer function:   T(z) = ntz/dtz')
disp(' ')
K = fpgk
Hk = fbghk
disp(' ')
ntz=ngz*fpgk
disp(' ')
dtz=dgz + ngz*fpgk*fbghk
disp(' ')
disp('   z-plane roots of the closed-loop system characteristic equation:')
disp(' ')
z_plane_roots=roots(dtz)

disp(' ')
diary off
disp('Press any key to continue ...'); pause

%  T(w) = D(w)G(w)/[1 + D(w)G(w)] = ntw/dtw

disp(' ')
diary on
disp('   Closed-loop transfer function:   T(w) = ntw/dtw')
disp(' ')
ntw=ngw*fpgk
disp(' ')
dtw=dgw + ngw*fpgk*fbghk
disp(' ')
disp('   w-plane roots of the closed-loop system characteristic equation:')
disp(' ')
w_plane_roots=roots(dtw)
disp(' ')
diary off
disp('Press any key to continue ...'); pause

