%CLTFA Closed-loop transfer function T(s)=KGc(s)Gp(s)/[1 + KGc(s)Gp(s)].

%  Copyright
%  Charles L. Phillips  1994

clear nts dts
clc
diary cl.dat
disp('            CLOSED-LOOP SYSTEM TRANSFER FUCNTION')
disp(' ')
diary off
disp('  Enter forward path gain K and sensor gain Hk:')
fpgk=input('           gain K = ');
fbghk=input('          gain Hk = ');

diary on
disp(' ')
K = fpgk
Hk = fbghk
disp(' ')
disp('            Closed-loop transfer function T(s):')
disp(' ')
disp('       T(s)=KGc(s)Gp(s)/[1 + KGc(s)Gp(s)] = nts/dts')
disp(' ')
nts=conv(ngcs,ngps)*fpgk
disp(' ')
dts=conv(dgcs,dgps) + fbghk*nts
disp(' ')
disp('  Roots of the closed-loop system characteristic equation:')
disp(' ')
s_plane_roots=roots(dts)
disp(' ')
diary off
disp('  Press any key to continue ...'); pause

