%DFBCONT Manager for digital control.

%  Copyright
%  Charles L. Phillips  1994

format compact
clear
loop15=1;
clc
disp('                         DIGITAL CONTROLS PROGRAM')
disp(' ')

disp('  OPTIONS: ')
disp(' ')
disp('        1.  Classical digital control')
disp(' ')
disp('        2.  Modern digital control')

q4=input(' Enter integer choice:  ');
clc

if q4 ==1

   disp('                  CLASSICAL DIGITAL CONTROLS PROGRAM')
   disp(' ')

   % Flags
   dcflg=1; % indicates that dc.m is being executed, rather than mdc.m 
   modelin=0; % no plant model in
   filterin=0; % no filter in
   wplanefl=1; % give w-plane functions
   loop=1; % loop = 0 exits program

   while loop ==1

      disp('  OPTIONS: ')
      disp(' ')
      disp('        1.  Enter the plant mathematical model')
      disp(' ')
      disp('        2.  Nyquist diagram')
      disp(' ')
      disp('        3.  Bode diagram')
      disp(' ')
      disp('        4.  Lead or lag controller design')
      disp(' ')
      disp('        5.  PID controller design')
      disp(' ')
      disp('        6.  Enter a digital controller transfer function')
      disp(' ')
      disp('        7.  Root locus')
      disp(' ')
      disp('        8.  Closed-loop parameters and time response')
      disp(' ')
      disp('        9.  Exit')

      mu=input('  Enter integer choice:  ');

      if mu==1

         %  Enters plant model

         clc
         disp('  OPTIONS: ')
         disp(' ')
         disp('        1.  Enter the plant analog model')
         disp(' ')
         disp('        2.  Enter the plant discrete model')

         q6=input(' Enter integer choice:  ');

         if q6 ==1

            clc
            clear
            loop15 = 1;
            dcflg=1; modelin=0; filterin=0; loop=1; wplanefl=1;
            gs2gz

         elseif q6==2

            clc
            clear
            loop15 = 1;
            dcflg=1; modelin=1; filterin=0; loop=1; wplanefl=1;
            engpms

         end

      elseif mu==2

         %  Nyquist diagram

         nqu

      elseif mu==3

         %  Bode diagram

         bdep

      elseif mu==4

         %  analytical design of phase lead or phase lag controllers.

         filterin=1;
         adesdz

      elseif mu==5

         % design pid controller

         filterin=1;
         adspdd

      elseif mu==6

         % enter D(z)

         fillterin=1;
         spdzd

      elseif mu==7

         locusd

      elseif mu==8

         %  closed-loop

         clorclfd

      elseif mu==9
         loop=0;
         loop1=1;
         clc
      end

   end

elseif q4==2

   mdc

end


