%GZ2GW G(z) to G(w).

%            Copyright 1994, C L Phillips

if exist('dcflg')

   %  z to w transform

   zwn=[T/2  1];  zwd=[-T/2  1];
   disp(' ')
   disp('   The plant transfer function:      G(w) = ngw/dgw')

   %  G(z) to G(w)=ngw/dgw

   if order == 1,
      ztow1
   end

   if order == 2,
      ztow2
   end

   if order == 3,
      ztow3
   end

   disp(' ')
diary off
   disp('Press any key to continue ...'), pause
diary on
   disp(' ')
   disp('   The zeros of G(w) are:')
   disp(' ')
   w_plane_zeros=roots(ngw)
   disp(' ')
   disp('   The poles of G(w) are:')
   disp(' ')
   w_plane_poles=roots(dgw)
   disp(' ')
end

