%INPUTS Input functions and initial conditions for simulation.

%  Copyright
%  Charles L. Phillips  1994

disp(' ')
disp('   The system response is calculated by numerical integration for ')
disp('   0 < t < tf, with the numerical-integration increment H.')
disp(' ')
tf=input('                       Final time tf = ');
disp(' ')
H=input('   Numerical integration increment H = ');
disp(' ')
disp('   The first system input is of the form:')
disp(' ')
disp('     u1(t) = k11 + k12*t + k13*cos(w1*t + theta1)')
disp(' ')
k11=input('      Enter the coefficient   k11 = ');
k12=input('      Enter the coefficient   k12 = ');
k13=input('      Enter the coefficient   k13 = ');
w1=input('      Enter the frequency      w1 = ');
theta1=input('      Enter the phase      theta1 = ');
theta1=theta1*pi/180;
if r > 1
   disp(' ')
   disp('   The second system input is of the form:')
   disp(' ')
   disp('     u2(t) = k21 + k21*t + k23*cos(w2*t + theta1)')
   disp(' ')
   k21=input('      Enter the coefficient   k21 = ');
   k22=input('      Enter the coefficient   k22 = ');
   k23=input('      Enter the coefficient   k23 = ');
   w2=input('      Enter the frequency      w2 = ');
   theta2=input('      Enter the phase      theta2 = ');
   theta2=theta2*pi/180;
end

if r > 2
   disp(' ')
   disp('   The third system input is of the form:')
   disp(' ')
   disp('     u3(t) = k31 + k32*t + k33*cos(w3*t + theta1)')
   disp(' ')
   k31=input('      Enter the coefficient   k31 = ');
   k32=input('      Enter the coefficient   k32 = ');
   k33=input('      Enter the coefficient   k33 = ');
   w3=input('      Enter the frequency      w3 = ');
   theta3=input('      Enter the phase      theta3 = ');
   theta3=theta3*pi/180;
end

   if r > 3
      disp(' ')
      disp('   Only three inputs allowed.')
      disp(' ')
   end

disp(' ')
disp('   Enter the initial conditions in the order of x1(0), x2(0), ... :')

for nn=1:order
   x1(nn)=input('           Initial condition = ');
end


