%MAC Modern control system design.

%  Copyright
%  Charles L. Phillips  1994

format compact
clear
loop15=0;
clc

disp('                     MODERN ANALOG CONTROLS PROGRAM')
disp(' ')
%          Flags
poleas=0; % no pole assignment design
preest=0; % no estimator designed
roeest=0; % no reduced-order estimator designed
loop=1; % loop = 0 exits program

loop=1;   % loop = 0 exits this menu
   while loop==1
   disp('  OPTIONS: ')
   disp(' ')
   disp('        1.  Enter plant model')
   disp(' ')
   disp('        2.  Pole placement design')
   disp(' ')
   disp('        3.  Estimator design')
   disp(' ')
   disp('        4.  Reduced-order estimator')
   disp(' ')
   disp('        5.  Control-estimator transfer function')
   disp(' ')
   disp('        6.  Closed-loop models and time response')
   disp(' ')
   disp('        7.  Exit this menu')

   mmu=input(' Enter integer choice:  ');
   clc

   if mmu==1

      clear
      %  set flags
      poleas=0; preest=0; roeest=0; loop15=1;
      dcflg=1; modelin=0; filterin=0; loop=1;

      gsa

   elseif mmu==2

      %  Pole-placement design

      ppda

   elseif mmu==3

      %  Estimator design

      pesa

   elseif mmu==4

      %  Reduced-order estimator design

      resa

   elseif mmu==5

      clc

      %  controller-estimator transfer function

      cetfa

   elseif mmu==6

      clc

      %  closed-loop state model

      clsmoa

      %  closed-loop time response

      s=input(' Do you want a time response? [y/n]: ','s');

      if s=='y'

         nuinnia

      end

      clc

   elseif mmu==7

      %  Exit

      loop=0;
      loop1=1;
      clc

   end

end

