%MAPOCA Master for matrix and polynomial procedures.

%  Copyright
%  Charles L. Phillips  1994

format compact
clear
loop15=0;
clc
disp('               MATRIX AND POLYNIMIAL CALCULATIONS')
disp(' ')
disp(' ')

loop5 = 1; % loop5 = 0 exits loop
while loop5 ==1
disp('  OPTIONS: ')
disp(' ')
disp('        1.  Partial-fraction-expansion calculations')
disp(' ')
disp('        2.  Transfer function to and from state space')
disp(' ')
disp('        3.  Similarity transformations')
disp(' ')
disp('        4.  Polynomial calculations')
disp(' ')
disp('        5.  Matrix calculations')
disp(' ')
disp('        6.  Exit')

nu=input(' Enter integer choice:  ');

   if nu==1

      %  partial-fraction expansions

      parfe

   elseif nu==2

      %  transfer function-state space transformations

      svtftr

   elseif nu==3

      %  singularity transformation

      singtr

   elseif nu==4

      % polynomial calculations

      polynop

   elseif nu==5

      % matrix calculations

      matcal

   elseif nu==6
      loop5=0;
   end

end

