%SPDZD Digital controller D(z) specification.

%  Copyright
%  Charles L. Phillips  1994

clear ndz ddz
delete dz.dat
clc
filterin=1;
diary dz.dat
disp(' ')

disp('                SPECIFY A DIGITAL CONTROLLER')
disp(' ')
diary off
disp(' ')
disp('  OPTIONS: ')
disp(' ')
disp('        1.  First-order controller')
disp(' ')
disp('        2.  Second-order controller')

qq=input(' Enter integer choice:  ');

orderfl=qq;
disp(' ')
disp('  Numerator of D(z) = ndz(0)*z^2 + ndz(1)*z + ndz(2)')
disp(' ')
disp('  Input numerator coefficients')
disp(' ')
if qq == 2
   ndz1(1)=input('                 ndz(0) =  ');
end
ndz1(2)=input('                 ndz(1) =  ');
ndz1(3)=input('                 ndz(2) =  ');
disp(' ')
disp('  Denominator of D(z) = ddz(0)*z^2 + ddz(1)*z + ddz(2)')
disp(' ')
disp('  Input denominator coefficients')
disp(' ')
if qq == 2
   ddz1(1)=input('                 ddz(0) =  ');
end
ddz1(2)=input('                 ddz(1) =  ');
ddz1(3)=input('                 ddz(2) =  ');
if qq == 1
   ddz(1) = ddz1(2); ddz(2) = ddz1(3);
   ndz(1) = ndz1(2); ndz(2) = ndz1(3);
else
   ddz = ddz1;
   ndz = ndz1;
end
disp(' ')
diary on
disp('  The specified filter:   D(z) = ndz/ddz')
disp(' ')
ndz
disp(' ')
ddz
disp(' ')
disp('  The specified filter:   D(w) = ndw/ddw')
if qq ==1
   ztow1d
elseif qq ==2
   ztow2d
end
disp(' ')
diary off
comp = computer;
if comp(1:2) ~= 'PC', clc, return, end
s=input('  Do you want the transfer functions printed? [y/n]: ','s');
if s=='y'
   ! copy iden.dat prn:
   ! print dz.dat
end
clc
disp('  Press any key to return to the menu ...'); pause, clc


