%TFTOSV State model for transfer function.

%  Copyright
%  Charles L. Phillips  1994

delete svtf.dat
clc
clear num den A B C D order
disp('  This program finds a state model for the transfer function G(s)')
disp('  (or G(z)), where the denominator of G(s) is')
disp(' ')
disp('     den(n)*s^n + den(n-1)*s^(n-1) + ... + den(1)*s + den(0)')
disp(' ')
disp('  The numerator is similarily defined with coefficients num(i)')
disp(' ')
order = input('  Enter the order of the denominator polynomial: ')
disp(' ')
disp('  Enter the numerator coefficients as requested.')
innum
disp(' ')
disp('  Enter the denominator coefficients as requested.')
inden
disp(' ')
diary svtf.dat
disp('  G(s) = num/den ')
disp(' ')
num
den
disp(' ')
diary off
disp('  Press any key to continue ...'), pause, clc
diary on
disp('  The state matrices are:')
disp(' ')
[A,B,C,D] = tf2ss(num,den)
disp(' ')
diary off
disp('  Press any key to continue ...'), pause, clc





